<template name="accountSettings">
  {{#autoForm schema=accountSettings id="e-accountSettings"}}
    <fieldset>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-name">Профилна фотографија</label>
            </div>
            <div class="col-7">
                <img src="{{currentUser.profile.picture.link}}" alt="Profile image" id="e-avatar" class="profile-image">
                <label class="change-profile-image-label" for="e-uploadImage"
                    aria-describedby="inputGroupFileAddon02">Промени фотографију</label>
                {{> afFieldInput type="file" name="profile.picture.link" accept=".jpg, .jpeg, .png, .heic, .heif, .webp" id="e-uploadImage" class="custom-file-input edit-profile-input"}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-name">Име и презиме</label>
            </div>
            <div class="col-7 text-right">
                {{> afFieldInput type="text" name="profile.name" id="e-name" value=currentUser.profile.name}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-birth">Датум рођења</label>
            </div>
            <div class="col-7 text-right">
                {{> afFieldInput type="date" name="profile.birth" id="e-birth" value=currentUser.profile.birth}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-gender">Пол</label>
            </div>
            <div class="col-7 text-right">
                {{> afFieldInput type="select" name="profile.gender" options="allowed" id="e-gender" firstOption=false value=currentUser.profile.gender}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-city">Место становања</label>
            </div>
            <div class="col-7 text-right">
                {{> afFieldInput type="text" name="profile.city" id="e-city" value=city}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-workingCity">Место у којем радите</label>
            </div>
            <div class="col-7 text-right">
                {{> afFieldInput type="text" name="profile.workingCity" id="e-workingCity" value=workingCity}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-phone">Број телефона</label>
            </div>
            <div class="col-7 text-right">
                {{> afFieldInput type="text" name="profile.phone" id="e-phone" value=currentUser.profile.phone}}
            </div>
        </div>
        <div class="row form-group">
            <div class="col-5">
                <label for="e-email">Е-пошта</label>
            </div>
            <div class="col-7 text-right">
                {{> afFieldInput type="email" name="emails.0.address" id="e-email" value=emailAddress}}
            </div>
        </div>
      </fieldset>
      <div class="row form-group">
          <div class="col-12 justify-content-end d-flex mt-4">
              <button class="btn offset-md-4 offset-4" type="button">Откажи</button>
              <button class="btn btn-danger offset-md-4 offset-4" type="submit">Сачувај измене</button>
          </div>
      </div>
    {{/autoForm}}
</template>
